class BlendPanel extends Element {
    var width, height, candidates;
    var blends;

    function BlendPanel(parent, candidates, width, height) {
        init(parent);
        this.candidates = candidates;
        this.width = width;
        this.height = height;

        this.blends = [];
        for (var c = 0; c < candidates.length; c++) {
            var blend = addclip();
            blend.blendMode = 'screen';
            blend.beginFill(candidates[c].color, 50);
            blend.moveTo(0, height);
            blend.lineTo(1, height);
            blend.lineTo(1, 0);
            blend.lineTo(0, 0);
            blend.endFill();
            blend._x = 0;
            blend._width = 0;
            blends.push(blend);
        }
    }

    function set_blend(candidate, left, right) {
        for (var i = 0; i < candidates.length; i++) {
            if (candidates[i] === candidate) {
                blends[i]._x = left;
                blends[i]._width = right - left;
                return;
            }
        }
    }
}
